# GCC_ConferenceDescriptor Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_ConferenceDescriptor:

List of all members.

## Public Types

enum | OptionalFields { e_conferenceNameModifier, e_conferenceDescription, e_networkAddress, e_defaultConferenceFlag }

## Public Member Functions

| GCC_ConferenceDescriptor (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

GCC_ConferenceName | m_conferenceName
GCC_ConferenceNameModifier | m_conferenceNameModifier
GCC_TextString | m_conferenceDescription
PASN_Boolean | m_lockedConference
PASN_Boolean | m_passwordInTheClearRequired
GCC_NetworkAddress | m_networkAddress
PASN_Boolean | m_defaultConferenceFlag

## Member Enumeration Documentation

enum GCC_ConferenceDescriptor::OptionalFields

Enumerator:

  e_conferenceNameModifier |
  e_conferenceDescription |
  e_networkAddress |
  e_defaultConferenceFlag |

## Constructor & Destructor Documentation

GCC_ConferenceDescriptor::GCC_ConferenceDescriptor | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_ConferenceDescriptor::GetDataLength | ( |  | ) | const

PBoolean GCC_ConferenceDescriptor::Decode | ( | PASN_Stream & | strm | ) |

void GCC_ConferenceDescriptor::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_ConferenceDescriptor::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_ConferenceDescriptor::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_ConferenceDescriptor::Clone | ( |  | ) | const

## Member Data Documentation

GCC_ConferenceName GCC_ConferenceDescriptor::m_conferenceName

GCC_ConferenceNameModifier GCC_ConferenceDescriptor::m_conferenceNameModifier

GCC_TextString GCC_ConferenceDescriptor::m_conferenceDescription

PASN_Boolean GCC_ConferenceDescriptor::m_lockedConference

PASN_Boolean GCC_ConferenceDescriptor::m_passwordInTheClearRequired

GCC_NetworkAddress GCC_ConferenceDescriptor::m_networkAddress

PASN_Boolean GCC_ConferenceDescriptor::m_defaultConferenceFlag

The documentation for this class was generated from the following file:

- gcc.h